from django.views.decorators.http import require_http_methods

from backend.Service.ImageCategoryService import ImageCategoryService


@require_http_methods(['POST'])
def Create(reqeust):
    return ImageCategoryService.Create(reqeust)


@require_http_methods(['POST'])
def Update(reqeust):
    return ImageCategoryService.Update(reqeust)


@require_http_methods(['POST'])
def Delete(reqeust):
    return ImageCategoryService.Delete(reqeust)


@require_http_methods(['POST'])
def Info(reqeust):
    return ImageCategoryService.Info(reqeust)


@require_http_methods(['POST'])
def Search(reqeust):
    return ImageCategoryService.Search(reqeust)
